Package org.eclipse.emf.cdo.session

## Interface CDORepositoryInfo

- All Superinterfaces:
    `CDOCommonRepository`, `CDOTimeProvider`, `IAdaptable`

      public interface CDORepositoryInfo
      extends CDOCommonRepository

  Describes a model repository a `session` is connected to.
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonRepository

      `CDOCommonRepository.CommitInfoStorage, CDOCommonRepository.IDGenerationLocation, CDOCommonRepository.ListOrdering, CDOCommonRepository.State, CDOCommonRepository.StateChangedEvent, CDOCommonRepository.Type, CDOCommonRepository.TypeChangedEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOSession` | `getSession()` | Returns the session.
    `long` | `getTimeStamp​(boolean forceRefresh)` | Returns the approximate current time of this repository by optionally refreshing the approximation from the server.

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonRepository

      `getCommitInfoStorage, getCreationTime, getIDGenerationLocation, getName, getObjectIDTypes, getRootResourceID, getState, getStoreType, getType, getUUID, isAuthenticating, isEnsuringReferentialIntegrity, isSerializingCommits, isSupportingAudits, isSupportingBranches, isSupportingEcore, isSupportingUnits, waitWhileInitial`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.util.CDOTimeProvider

      `getTimeStamp`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Method Detail

    - #### getSession

          CDOSession getSession()

      Returns the session.
      Since:
        4.2

    - #### getTimeStamp

          long getTimeStamp​(boolean forceRefresh)

      Returns the approximate current time of this repository by optionally refreshing the approximation from the server.
      See Also:
        `CDOTimeProvider.getTimeStamp()`